This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 532739 - Review Request: emacs-cedet - Collection of Emacs Development Environment Tools
Review Request: emacs-cedet - Collection of Emacs Development Environment Tools
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 490352 (view as bug list)
Depends On:
Blocks: 533167
  Show dependency treegraph
 
Reported: 2009-11-03 11:51 EST by Karel Klíč
Modified: 2013-03-03 17:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-24 05:28:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Klíč 2009-11-03 11:51:22 EST
Spec URL: http://kklic.fedorapeople.org/emacs-cedet.spec
SRPM URL: http://kklic.fedorapeople.org/emacs-cedet-1.0-0.1.pre6.fc11.src.rpm
Description: CEDET is a Collection of Emacs Development Environment Tools 
written with the end goal of creating an advanced development 
environment in Emacs.

CEDET tools include:
 * EIEIO -    CLOS layer for Emacs Lisp
 * Semantic - Parser Infrastructure for Emacs
 * Speedbar - Everything browser
 * EDE -      File manager/ Makefile generator
 * SRecode -  Templte manager/ code generator
 * COGRE -    Connected Graph Editor

This package contains the files for the GNU Emacs package. CEDET is already packed for XEmacs in xemacs-packages-extra.

This package will enable the possibility to pack Emacs Code Browser.

rpmlint Output
--------------
rpmlint ./emacs-cedet-1.0-0.1.pre6.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint ./emacs-cedet.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint ./emacs-cedet-1.0-0.1.pre6.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint ./emacs-cedet-el-1.0-0.1.pre6.fc11.noarch.rpm 
emacs-cedet-el.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Jason Tibbitts 2009-11-03 13:52:52 EST
*** Bug 490352 has been marked as a duplicate of this bug. ***
Comment 2 Xavier Maillard 2009-11-03 17:30:51 EST
Perfect ! Tested it onto my rawhide setup.
Comment 3 Karel Klíč 2009-11-03 18:57:01 EST
Spec URL: http://kklic.fedorapeople.org/emacs-cedet.spec
SRPM URL: http://kklic.fedorapeople.org/emacs-cedet-1.0-0.2.pre6.fc11.src.rpm

I found an error during my testing. Please check attached version.

* Wed Nov  4 2009 Karel Klic <kklic@redhat.com> - 1.0-0.2.pre6
- Install ezimage.el in the main package, because it is probed by the code.
Comment 4 Xavier Maillard 2009-11-03 19:35:07 EST
There is another glitch:

emacs -q --no-init-file

M-x ede-new RET Make RET
=> Cannot open load file: semantic-ede-grammar

If I install the emacs-decet-el it works.

Thank you for packaging it.
Comment 5 Karel Klíč 2009-11-04 09:11:07 EST
Spec URL: http://kklic.fedorapeople.org/emacs-cedet.spec
SRPM URL: http://kklic.fedorapeople.org/emacs-cedet-1.0-0.3.pre6.fc12.src.rpm

Thanks for testing. This one was hard to solve (3 patches).

* Wed Nov  4 2009 Karel Klic <kklic@redhat.com> - 1.0-0.3.pre6
- Added semantic-ede-grammar, allow-noninteger-inode, and fix-parent-project patches.
  Fixes project creation using ede-new.
Comment 6 Neal Becker 2009-11-04 14:21:06 EST
The installed info files don't seem to appear in info listing.  In emacs C-h i, and search for semantic, or ede.  Didn't find either.  I do see that 'dir' file has been updated, and the files are installed in /usr/share/info.
Comment 7 Xavier Maillard 2009-11-04 17:50:34 EST
srecode and ede template files are not installed with your spec file.

I modified it and posted an updated version here:

http://xavier.maillard.im/public/emacs-cedet.spec

There are other problems in the semantic installation (I can't use semantic-symref for example)
Comment 8 Karel Klíč 2009-11-05 03:03:44 EST
Spec URL: http://kklic.fedorapeople.org/emacs-cedet.spec
SRPM URL: http://kklic.fedorapeople.org/emacs-cedet-1.0-0.5.pre6.fc11.src.rpm
RPMs URL: http://kklic.fedorapeople.org/emacs-cedet-1.0-0.5.pre6.fc11.noarch.rpm
          http://kklic.fedorapeople.org/emacs-cedet-el-1.0-0.5.pre6.fc11.noarch.rpm

Xavier, thanks for the update.
Neal, the info files should be visible now.

* Wed Nov  5 2009 Karel Klic <kklic@redhat.com> - 1.0-0.5.pre6
- Installed info files are visible in the info listing
- Optional parts of speedbar are now included in the base package

* Wed Nov  4 2009 Xavier Maillard <xma@gnu.org> - 1.0-0.4.pre6
- Install srecode and ede template files (srt)
Comment 9 Xavier Maillard 2009-11-07 23:49:29 EST
As said before M-x semantic-symref did not work due to installation missing files.

The current spec is taking care of them:

http://xavier.maillard.im/public/emacs-cedet.spec
Comment 10 Karel Klíč 2009-11-10 17:15:19 EST
Spec URL: http://kklic.fedorapeople.org/emacs-cedet.spec
SRPM URL: http://kklic.fedorapeople.org/emacs-cedet-1.0-0.7.20091110cvs.fc12.src.rpm
RPMs URL:
http://kklic.fedorapeople.org/emacs-cedet-1.0-0.7.20091110cvs.fc12.noarch.rpm
http://kklic.fedorapeople.org/emacs-cedet-el-1.0-0.7.20091110cvs.fc12.noarch.rpm

From reading CVS logs I got an impression there are many bugs in 1.0pre6.
1.0pre6 crashes while parsing /usr/include/bits/confname.h.

Changes:
* Tue Nov  10 2009 Karel Klic <kklic@redhat.com> - 1.0-0.7.20091110cvs
- Requires emacs
- Updated to CVS pre-release version, because pre6 version contains
  too many bugs
- Removed patches included in current version
- Added patch for proper adebug loading
- Install cogre template files (srt)

* Sat Nov  7 2009 Xavier Maillard <xma@gnu.org> - 1.0-0.6.pre6
- Install missing semantic symref and ctags
Comment 11 Lorenzo Villani 2009-12-07 07:58:17 EST
My problem with this package is that it tries to load so many things at runtime that using emacs for one-time edits is uncomfortable (yes, I know there's emacsclient). Can't you put autoloads in site initialization files?
Comment 12 Neal Becker 2009-12-09 07:30:57 EST
Since cedet is merged into mainstream emacs next release, does this package have a future?
Comment 13 Karel Klíč 2009-12-09 08:04:24 EST
Well, that depends on when the next version of Emacs will be released. 

IMHO it makes sense to have emacs-cedet package for Fedora 13, so that emacs-ecb can be used in that release. If the new version of Emacs gets to F-13, then it is obviously pointless to create the CVS repository and everything for this package.
Comment 14 Neal Becker 2009-12-09 08:38:38 EST
Emacs pretest 23.1.90 is now available for download via FTP, at the
following location:
Comment 15 Xavier Maillard 2009-12-10 15:55:53 EST
My guess is that we won't have Emacs 24 before 2011:

July 29, 2009 - Emacs 23.1 released
September 5, 2008 - Emacs 22.3 released
March 26, 2008 - Emacs 22.2 released
June 2, 2007 - Emacs 22.1 released
Feb 6, 2005 - Emacs 21.4 released (fixing a security hole)
March 24, 2003 - Emacs 21.3 released
March 18, 2002 - Emacs 21.2 released
October 28, 2001 - Emacs 21.1 released

So I would go for emacs-cedet in F-13
Comment 16 Neal Becker 2009-12-10 21:30:19 EST
See: http://old.nabble.com/Emacs-23.2-plans-td26251038.html
Comment 17 Neal Becker 2009-12-10 21:32:40 EST
"There are quite a number of changes relative to Emacs 23.1, including
several new packages, notably the CEDET package of development tools.
See etc/NEWS for details."
Comment 18 Xavier Maillard 2009-12-11 15:25:04 EST
Yeah, you are right :D
Comment 19 Karel Klíč 2010-03-24 05:28:21 EDT
We will have Emacs 23.2 containing CEDET in F-13, so I am closing this review request.

Thanks to everyone involved.
Comment 20 Eric Lake 2010-04-26 19:23:44 EDT
Does that mean that there will be a package available for emacs-ecb in F13?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 21 Karel Klíč 2010-05-05 10:22:14 EDT
Yes, if ECB 2.40.1 is released in F13 time frame (highly probable).

Note You need to log in before you can comment on or make changes to this bug.